# azure.applicationinsights package

## Submodules

- azure.applicationinsights.models module
- azure.applicationinsights.operations module

## Module contents

class `azure.applicationinsights.``ApplicationInsightsDataClient`(credentials, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Composite Swagger for Application Insights Data Client

  Variables:

  - config (ApplicationInsightsDataClientConfiguration) – Configuration for client.
  - metrics (azure.applicationinsights.operations.MetricsOperations) – Metrics operations
  - events (azure.applicationinsights.operations.EventsOperations) – Events operations
  - query (azure.applicationinsights.operations.QueryOperations) – Query operations

  Parameters:

  - credentials (None) – Subscription credentials which uniquely identify client subscription.
  - base_url (str) – Service URL